import { SwipeDirection } from '../types/SwipeDirection.type';
import { Vector2 } from '../types/Vector2.type';

/**
 * Determines the direction between two points.
 *
 * @param a - The starting point.
 * @param b - The ending point.
 * @returns The direction between the two points, or `null` if the points are the same.
 */
export declare const direction: (a: Vector2, b: Vector2) => SwipeDirection | null;
