import { Vector2 } from '../types/Vector2.type';
import { MovementEvent } from '../types/MovementEvent.type';

/**
 * Calculates a movement event based on the given source and target points, and the duration of the movement.
 *
 * @param source - The starting point of the movement.
 * @param target - The ending point of the movement.
 * @param duration - The duration of the movement in milliseconds.
 * @returns A movement event object containing details about the movement.
 */
export declare const movement: (source: Vector2, target: Vector2, duration: number) => MovementEvent;
